Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Aggiornamenti nvidia-drivers supporto pre-fermi
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
loxdegio
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2014
Posts: 94

PostPosted: Thu Aug 21, 2014 10:31 am    Post subject: Aggiornamenti nvidia-drivers supporto pre-fermi Reply with quote

Come da titolo sto cercando una soluzione a questo "problema", ho letto un paio di articoli su internet a riguardo e so che fino al 2019 i 340.x verranno comunque aggiornati (upgrade critici e di sicurezza, certo meglio che niente spero nel frattempo di poter effettuare un upgrade del PC in toto XD) per non far cadere proprio del tutto il supporto alle vecchie schede.

Quello che vorrei chiedere è se gentilmente qualcuno mi può suggerire una stringa package.mask che mi permetta di aggiornare i 340.x senza che portage parta in quarta con le versioni più recenti
Back to top
View user's profile Send private message
guerro
Guru
Guru


Joined: 21 Jun 2004
Posts: 374
Location: Brescia

PostPosted: Thu Aug 21, 2014 10:37 am    Post subject: Reply with quote

Io ti suggerirei (giusto per tranquillità) di crearti un overlay locale e copiar
_________________
(.(*. .*).)
.. G u e r r o ..
(.(.* *.).)
Back to top
View user's profile Send private message
loxdegio
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2014
Posts: 94

PostPosted: Thu Aug 21, 2014 12:00 pm    Post subject: Reply with quote

Non credo risolverei nulla visto che comunque portage andrebbe a cercarsi la versione più aggiornata in ogni caso.

Sto facendo un check per vedere se risolvo con questo valore

/etc/portage/package.mask wrote:
>x11-drivers/nvidia-drivers-341


EDIT: Sembra funzionare, ma mi riservo qualche altro aggiornamento per mettere risolto ;)
Back to top
View user's profile Send private message
ciro64
Guru
Guru


Joined: 20 Jun 2009
Posts: 424

PostPosted: Fri Aug 22, 2014 6:09 pm    Post subject: Reply with quote

Dunque: In portage vedo:
Code:

[I] x11-drivers/nvidia-drivers
     Available versions:  96.43.23^msd 173.14.39^msd 304.123^msd 331.89^msd 334.21-r3^msd 337.25^msd 340.24^msd 340.32^msd (~)343.13-r1^msd {+X acpi custom-cflags gtk multilib pax_kernel (+)tools uvm KERNEL="FreeBSD linux"}
     Installed versions:  343.13-r1^msd(03:33:43 22/08/2014)(X acpi multilib tools uvm -pax_kernel KERNEL="linux -FreeBSD")
     Homepage:            http://www.nvidia.com/
     Description:         NVIDIA Accelerated Graphics Driver



Come vedi sono ancora presenti i drivers "legacy" ovvero i 96.x e 173.x

Io "vedo" due possibili vie:
1)
Maschera tutto ciò che è superiore e non vuoi: per esempio:
Code:

# echo ">=x11-drivers/nvidia-drivers-304.24">>/etc/portage/package.accept_keywords (se vuoi che persistano i 304.24

Oppure al posto di 304.24 (che manterrebbero in auge i 304.23 puoi modificare con >=x11-drivers/nvidia-drivers/331.90 in modo da "tenere gli 331.89

( ho preso una versione a caso, ma puoi adattare alle tue esigenze).

Oppure provare a tenere il pacchetto dei drivers scaricati dal sito nVidia e ad ogni aggiornamento kernel chiaramente disisnstallerai quindi reinstallerai siffatto pacchetto.
Non ti preoccupare che il sistema non andrà in crash (ho provato diverse volte.... e non ho avuto problemi).
Magari per alcune versioni occorrearà installare gli nvidia-settings" in modo da poter gestire la tua videocard.
Preciso che dovrai comunque specificare
Code:
eselect opengl set nvidia && eselect opencl set nvidia


Poi provare a costruire l'xorg.conf con
Code:
# nvidia-xconfig

oppure con
Code:

# X -configure && mv /root/xorg.conf.new /etc/X11/xorg.conf


Non so sinceramente fino a quando questa " ricetta" :D sia possibile....
_________________
Gentoo: il sistema più eclettico e geniale che abbia mai provato :)
Back to top
View user's profile Send private message
sabayonino
l33t
l33t


Joined: 03 Jan 2012
Posts: 665

PostPosted: Fri Aug 22, 2014 6:21 pm    Post subject: Reply with quote

con il tempo certe versioni vengono rimosse dal portage-tree

probabilmente ti conviene creare un pacchetto pre-compilato dei drivers ... solo che (a memoria) viene creato con riferimento al kernel in uso

Code:
# emerge -B nvidia-drivers


una volta creato il pacchetto , apri il tarball (default in /usr/portage/packages/X11-drivers) dovresti ritorvari /lib/modules/<versione_kernel> .

non so se basta rinominare quella cartella o se ci siano altri riferimenti/link etc.
(comunque mantenere un tuo overlay sarebbe l'ideale anche per la gestione del portage-tree e i suoi update)

ciao
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
loxdegio
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2014
Posts: 94

PostPosted: Sat Aug 23, 2014 9:07 am    Post subject: Reply with quote

Ringrazio sia Sabayonino sia Ciro per le risposte :D Ma credo non ci siamo capiti: ho smascherato le versioni "testing" dei nvidia-drivers in quanto attualmente uso il kernel 3.15 e le versioni precedenti alla 340.x non sono compatibili a meno di non sbattersi con delle patch utente e non ne ho proprio voglia.
Confermo a Sabayonino la necessità della compatibilità del driver con il kernel per cui è stato compilato.
Inoltre essendo ancora in ~* i drivers ed essendo il branch stabile di portage fermo al kernel 3.13.x, quando è stato fermo al 3.9 per una vita, credo che avrò tutto il tempo di questo mondo prima del 2019 (anno in cui Nvidia smetterà di supportare i 340.x) per cambiare PC, perché anche uscissero dal protage potrei sempre usare l'installer della casa madre, o salvarmi da qualche parte un ebuild che svolga le necessarie operazioni per conto mio ;)
Quindi credo che per ora il masking delle versioni sopra la 341.x vada più che bene per i miei scopi :D

EDIT: Alla fine ho seguito la via del backup per sicurezza ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum